Campaigns

Classify campaign contacts for the Review step

POST
/api/campaigns/validate-contacts

Classifies the provided CSV/contact payload into buckets (new, existing, already-messaged inbound/outbound, assigned-to-other-user, protected, etc.) using the organization's contact protection period and the campaign's segmentation/assignment configuration. Returns { success, data: ContactValidationResult }.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/campaigns/validate-contacts" \  -H "Content-Type: application/json" \  -d '{    "contacts": [      {        "firstName": "Jamie",        "phoneNumber": "+14155550133"      },      {        "firstName": "Casey",        "phoneNumber": "+14155550144"      }    ],    "segmentationConfig": {      "enabled": false    },    "assignmentConfig": {      "isAssignmentEnabled": false    }  }'
{  "success": true,  "data": {    "newContacts": [      {        "firstName": "Jamie",        "phoneNumber": "+14155550133"      }    ],    "existingContacts": [],    "assignedToOtherUsers": [],    "alreadyMessagedOutbound": [],    "alreadyMessagedInbound": [],    "assignedToYouNotOwned": [],    "protectedContacts": []  }}